/************************************************************
** $Id: compat.c,v 1.2 2003/11/09 17:55:08 bcx Exp $
**
** Copyright Bryan Costales and Perforce Software, Inc. 2003
**
** This code is "open source" as defined by version 1.9 of
** the Open Source Definition from:
**
**	http://www.opensource.org/docs/definition.php.
**
** This file includes source for the routines missing on
** some versions of Unix.
**
*************************************************************/

# define EXTERN extern
# include "slow.h"

# ifndef HAVE_BASENAME
char *
basename(char *path)
{
	char *cp;

	if ((cp = strrchr(path, '/')) != NULL)
		++cp;
	else
		cp = path;
	return cp;
}
#endif

# ifndef HAVE_CUSERID
# include <pwd.h>
char *
cuserid(char *buf)
{
	struct passwd *pw;
	uid_t uid;

	uid = geteuid();
	pw = getpwuid(uid);
	if (pw != NULL)
		return pw->pw_name;
	return NULL;
}
# endif
